> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/import-api/synchronization/changing-and-restoring-the-status-of-externally-missing-resources.md).

# Changing and restoring the status of externally missing resources

When doing a synchronization, the `finalizationStrategy` parameter determines how to manage the assets that no longer exist in the external system.

The `finalizationStrategy` parameter accepts these possible values:

* `REMOVE_RESOURCES` is the default value and deletes the missing resources in Collibra.
* `CHANGE_STATUS` changes the status of the missing resources in Collibra to the corresponding ID from the `missingAssetStatusId` parameter. When you set the `finalizationStrategy` to `CHANGE_STATUS`, you must also provide a value for `missingAssetStatusId`.
* `IGNORE` ignores missing assets and leaves them as is.

## Change the status

To change the status of an externally missing resource instead of deleting it, set the following parameters for a full synchronization or for the finalization step of a batch synchronization:

* `finalizationStrategy=CHANGE_STATUS`.
* `missingAssetStatusId=“<desired_status_id>“`.

<i class="fa-chevrons-right">:chevrons-right:</i> When the finalization completes, the resources that are missing from the external system have a new status in Collibra matching the one provided in `missingAssetStatusId`.

## Restore the status

To restore the status of a resource that was previously missing but reappeared in the external system, set the following parameters for a full synchronization or for the finalization step of a batch synchronization::

* `finalizationStrategy=CHANGE_STATUS`.
* `missingAssetStatusId=“<desired_status_id>“`.

<i class="fa-chevrons-right">:chevrons-right:</i> The resources that are restored no longer have a status matching the one provided in `missingAssetStatusId` and return to the default status for that asset type in Collibra.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/guides/import-api/synchronization/changing-and-restoring-the-status-of-externally-missing-resources.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
